Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.parser

# Enum Class FirebirdReservedWords

java.lang.Object
java.lang.Enum<FirebirdReservedWords>
org.firebirdsql.jaybird.parser.FirebirdReservedWords

All Implemented Interfaces:
  `Serializable`, `Comparable<FirebirdReservedWords>`, `Constable`, `ReservedWords`

@InternalApi public enum FirebirdReservedWords extends Enum<FirebirdReservedWords> implements ReservedWords
All reserved words per Firebird version.

Since:
  5
Author:
  Mark Rotteveel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIREBIRD_5_0`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isReservedWord(CharSequence tokenText)`
  Checks case-insensitively if the supplied token text is a reserved word.
  `static FirebirdReservedWords`
  `latest()`
  Reserved words for latest known Firebird version.
  `static FirebirdReservedWords`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FirebirdReservedWords[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIREBIRD_5_0

    public static final FirebirdReservedWords FIREBIRD_5_0

- ## Method Details

  - ### values

    public static FirebirdReservedWords[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FirebirdReservedWords valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### latest

    public static FirebirdReservedWords latest()
    Reserved words for latest known Firebird version.
    Returns:
      reserved words for latest known Firebird version

  - ### isReservedWord

    public boolean isReservedWord(CharSequence tokenText)
    Description copied from interface: `ReservedWords`
    Checks case-insensitively if the supplied token text is a reserved word.
    Specified by:
      `isReservedWord` in interface `ReservedWords`
    Parameters:
      `tokenText` - Token text to check
    Returns:
      `true` if the token text is a reserved word, `false` otherwise